cURL
curl --request POST \
--url https://sandbox.withclasp.com/open_enrollment_windows \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"employer": "<string>",
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"plans": [
"<string>"
],
"metadata": {}
}
'import requests
url = "https://sandbox.withclasp.com/open_enrollment_windows"
payload = {
"employer": "<string>",
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"plans": ["<string>"],
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
employer: '<string>',
start_date: '2023-12-25',
end_date: '2023-12-25',
plans: ['<string>'],
metadata: {}
})
};
fetch('https://sandbox.withclasp.com/open_enrollment_windows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"employer": "<string>",
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"renewal_date": "2023-12-25",
"status": "setup_required",
"completed_at": "2023-11-07T05:31:56Z",
"completed_member_count": 123,
"incomplete_member_count": 123,
"summaries": [
{}
],
"plans": [
"<string>"
],
"enrollment_type": "active",
"metadata": {}
}Open Enrollment Windows
Create Open Enrollment Window
POST
/
open_enrollment_windows
cURL
Authorizations
API Key authentication with required prefix "Bearer"
Body
application/json
active- Activepassive- Passive
Available options:
active, passive Up to 50 key-value pairs. Keys max 40 characters, values max 500 characters. Set a value to empty string to remove a key. On PATCH, metadata is merged with existing values.
Show child attributes
Show child attributes
Response
201 - application/json
Pattern:
^[-a-zA-Z0-9_]+$setup_required- Setup Requiredbuild_in_progress- Build In Progressactive- Activeclosed- Closedcompleted- Completed
Available options:
setup_required, build_in_progress, active, closed, completed Show child attributes
Show child attributes
active- Activepassive- Passive
Available options:
active, passive Up to 50 key-value pairs. Keys max 40 characters, values max 500 characters. Set a value to empty string to remove a key. On PATCH, metadata is merged with existing values.
Show child attributes
Show child attributes